Loading...
Searching...
No Matches
fastjet::PruningPlugin Class Reference

More...

`#include <fastjet/tools/Pruner.hh>`

Inheritance diagram for fastjet::PruningPlugin:
[legend]
Collaboration diagram for fastjet::PruningPlugin:
[legend]

## Public Member Functions

| PruningPlugin (const JetDefinition &jet_def, double zcut, double Rcut)
| ctor
virtual void | run_clustering (ClusterSequence &input_cs) const
| the actual clustering work for the plugin
virtual std::string | description () const
| description of the plugin
virtual double | R () const
| returns the radius
Public Member Functions inherited from fastjet::JetDefinition::Plugin
virtual bool | supports_ghosted_passive_areas () const
| return true if there is specific support for the measurement of passive areas, in the sense that areas determined from all particles below the ghost separation scale will be a passive area.
virtual void | set_ghost_separation_scale (double scale) const
| set the ghost separation scale for passive area determinations in future runs (strictly speaking that makes the routine a non const, so related internal info must be stored as a mutable)
virtual double | ghost_separation_scale () const
virtual bool | exclusive_sequence_meaningful () const
| if this returns false then a warning will be given whenever the user requests "exclusive" jets from the cluster sequence
virtual bool | is_spherical () const
| returns true if the plugin implements an algorithm intended for use on a spherical geometry (e.g.
virtual | ~Plugin ()
| a destructor to be replaced if necessary in derived classes...

## Detailed Description

Definition at line 295 of file Pruner.hh.

## Constructor & Destructor Documentation

## PruningPlugin()

fastjet::PruningPlugin::PruningPlugin | ( | const JetDefinition & | jet_def,
|  | double | zcut,
|  | double | Rcut )

inline

ctor

Parameters

  jet_def | the jet definition to be used for the internal clustering
  zcut | transverse momentum fraction cut
  Rcut | angular separation cut

Definition at line 302 of file Pruner.hh.

## Member Function Documentation

## run_clustering()

void fastjet::PruningPlugin::run_clustering | ( | ClusterSequence & | input_cs | ) | const

virtual

the actual clustering work for the plugin

Implements fastjet::JetDefinition::Plugin.

Definition at line 267 of file Pruner.cc.

## description()

string fastjet::PruningPlugin::description | ( |  | ) | const

virtual

description of the plugin

Implements fastjet::JetDefinition::Plugin.

Definition at line 334 of file Pruner.cc.

## R()

virtual double fastjet::PruningPlugin::R | ( |  | ) | const

inline virtual

returns the radius

Implements fastjet::JetDefinition::Plugin.

Definition at line 312 of file Pruner.hh.

The documentation for this class was generated from the following files:

- tools/fastjet/tools/Pruner.hh
- tools/Pruner.cc